/*
 Problema: dado um numero inteiro n>0, gerar a seguencia 
 dos n-primeiros numeros naturais impares, calcular e 
 imprimir a soma desses numeros. Isto eh dado 
 um numero inteiro n>0, calcular a soma = 1 + 3 + 5 +...+ 2n-1

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o valor do numero "n"; 
  3 - repeticao para: 
       3.1 - gerar um elemento da sequencia, em cada vez;
       3.2 - somar o valor gerado;
  4 - imprimir o valor obtido para soma;

 descricao das variaveis
  n - numero de elementos a serem gerados(numero de repeticoes)
  i - contador de repeticao, usado para obter a sequencia de numeros
  x - guarda o numero gerado, em cada passo
  s - soma dos numeros(dos elementos da sequencia gerada)

*/

#include <stdio.h>   /* arquivo de inclusao para entrada e saida, para usar: scanf e printf */
#include <conio.h>  /* para usar: getch */

int main ()
{
  int n; /* numero de repeticao */
  int i; /* contador de repeticao */
  int x; /* numero a ser somado, elemento da sequencia gerado */
  int s; /* soma dos numeros */

  printf ("Exemplo - estrutura de repeticao - while");
  printf ("\nDigite o valor de n: ");
  scanf ("%d", &n);
  s = 0; //zerar a soma - define o valor inicial da soma
  i = 1; //gerar o primeiro elemento
  while (i <= n)
  {
	x = (2*i - 1); //obtem o i-esimo elemento
	s = s + x;  //somar o i-esimo elemento 
	i = i + 1; //contar, para gerar e somar o proximo elemento
  }
  printf ("Soma = %d", s); //imprime a soma dos elementos gerados
  
  printf("\n\n tecle qualquer tecla para finalizar a execucao do programa");
  getch(); //pausa na janela do usuario para voce ver os resultados dos printf  
}
